microsoft-foundry.rest.security.o-auth2-auth
Datasets
Create or update a version
PATCH
/datasets/{name}/versions/{version}
Create a new or update an existing DatasetVersion with the given version id
Parâmetros de consulta
api-version
string
exigido
The API version to use for this operation.
Parâmetros de caminho
name
string
exigido
The name of the resource
version
string
exigido
The specific version id of the DatasetVersion to create or update.
Corpo da solicitação
The DatasetVersion to create or update.
Content-Type: application/merge-patch+json
Um dos seguintes:
uri_file
FileDatasetVersionUpdate
FileDatasetVersion Definition
type
enum
exigido
Dataset type
uri_file
uri_folder
FolderDatasetVersionUpdate
FileDatasetVersion Definition
type
enum
exigido
Dataset type
uri_folder
Respostas
The request has succeeded.
Corpo
Content-Type: application/json
Um dos seguintes:
uri_file
FileDatasetVersion
FileDatasetVersion Definition
type
enum
exigido
Dataset type
uri_file
uri_folder
FolderDatasetVersion
FileDatasetVersion Definition
type
enum
exigido
Dataset type
uri_folder
Solicitar
PATCH /datasets/{name}/versions/{version} HTTP/1.1
Resposta
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json